Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_IOR_Manipulation_impl Class Reference

`#include <IORManipulation.h>`

Inheritance diagram for TAO_IOR_Manipulation_impl:

[legend]
Collaboration diagram for TAO_IOR_Manipulation_impl:

[legend]
List of all members.

## Public Methods
| TAO_IOR_Manipulation_impl (void)
| ~TAO_IOR_Manipulation_impl (void)
virtual void | _add_ref (void)
virtual void | _remove_ref (void)
virtual CORBA::Object_ptr | merge_iors (const TAO_IOP::TAO_IOR_Manipulation::IORList &iors ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, TAO_IOP::EmptyProfileList, TAO_IOP::Duplicate, TAO_IOP::Invalid_IOR )
virtual CORBA::Object_ptr | add_profiles (CORBA::Object_ptr ior1, CORBA::Object_ptr ior2 ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, TAO_IOP::EmptyProfileList, TAO_IOP::Duplicate, TAO_IOP::Invalid_IOR )
virtual CORBA::Object_ptr | remove_profiles (CORBA::Object_ptr ior1, CORBA::Object_ptr ior2 ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, TAO_IOP::Invalid_IOR, TAO_IOP::EmptyProfileList, TAO_IOP::NotFound )
virtual CORBA::Boolean | set_property (TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr ior ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, TAO_IOP::Invalid_IOR, TAO_IOP::Duplicate )
virtual CORBA::Boolean | set_primary (TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr ior1, CORBA::Object_ptr ior2 ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, TAO_IOP::Invalid_IOR, TAO_IOP::Duplicate, TAO_IOP::MultiProfileList )
virtual CORBA::Object_ptr | get_primary (TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr ior ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, TAO_IOP::NotFound )
virtual CORBA::Boolean | is_primary_set (TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr ior ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::ULong | is_in_ior (CORBA::Object_ptr ior1, CORBA::Object_ptr ior2 ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, TAO_IOP::NotFound )
virtual CORBA::ULong | get_profile_count (CORBA::Object_ptr ior ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, TAO_IOP::EmptyProfileList )

## Constructor & Destructor Documentation

TAO_IOR_Manipulation_impl::TAO_IOR_Manipulation_impl | ( | void |  | ) |

TAO_IOR_Manipulation_impl::~TAO_IOR_Manipulation_impl | ( | void |  | ) |

## Member Function Documentation

void TAO_IOR_Manipulation_impl::_add_ref | ( | void |  | ) | `[virtual]`

void TAO_IOR_Manipulation_impl::_remove_ref | ( | void |  | ) | `[virtual]`

CORBA::Object_ptr TAO_IOR_Manipulation_impl::add_profiles | ( | CORBA::Object_ptr | ior1,
|  | CORBA::Object_ptr ior2 | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, TAO_IOP::EmptyProfileList, TAO_IOP::Duplicate, TAO_IOP::Invalid_IOR )`[virtual]`

CORBA::Object_ptr TAO_IOR_Manipulation_impl::get_primary | ( | TAO_IOP::TAO_IOR_Property_ptr | prop,
|  | CORBA::Object_ptr ior | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, TAO_IOP::NotFound )`[virtual]`

CORBA::ULong TAO_IOR_Manipulation_impl::get_profile_count | ( | CORBA::Object_ptr ior | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, TAO_IOP::EmptyProfileList )`[virtual]`

CORBA::ULong TAO_IOR_Manipulation_impl::is_in_ior | ( | CORBA::Object_ptr | ior1,
|  | CORBA::Object_ptr ior2 | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, TAO_IOP::NotFound )`[virtual]`

CORBA::Boolean TAO_IOR_Manipulation_impl::is_primary_set | ( | TAO_IOP::TAO_IOR_Property_ptr | prop,
|  | CORBA::Object_ptr ior | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[virtual]`

CORBA::Object_ptr TAO_IOR_Manipulation_impl::merge_iors | ( | const TAO_IOP::TAO_IOR_Manipulation::IORList &iors | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, TAO_IOP::EmptyProfileList, TAO_IOP::Duplicate, TAO_IOP::Invalid_IOR )`[virtual]`

CORBA::Object_ptr TAO_IOR_Manipulation_impl::remove_profiles | ( | CORBA::Object_ptr | ior1,
|  | CORBA::Object_ptr ior2 | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, TAO_IOP::Invalid_IOR, TAO_IOP::EmptyProfileList, TAO_IOP::NotFound )`[virtual]`

CORBA::Boolean TAO_IOR_Manipulation_impl::set_primary | ( | TAO_IOP::TAO_IOR_Property_ptr | prop,
|  | CORBA::Object_ptr | ior1,
|  | CORBA::Object_ptr ior2 | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, TAO_IOP::Invalid_IOR, TAO_IOP::Duplicate, TAO_IOP::MultiProfileList )`[virtual]`

CORBA::Boolean TAO_IOR_Manipulation_impl::set_property | ( | TAO_IOP::TAO_IOR_Property_ptr | prop,
|  | CORBA::Object_ptr ior | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, TAO_IOP::Invalid_IOR, TAO_IOP::Duplicate )`[virtual]`

The documentation for this class was generated from the following files:

- IORManipulation.h
- IORManipulation.cpp